Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTML.Attribute

    java.lang.Object
      |
      +--javax.swing.text.html.HTML.Attribute

Enclosing class:
  HTML

public static final class HTML.Attribute
extends Object

Typesafe enumeration representing an HTML attribute.

Field Summary
`static HTML.Attribute` | `ACTION`
`static HTML.Attribute` | `ALIGN`
`static HTML.Attribute` | `ALINK`
`static HTML.Attribute` | `ALT`
`static HTML.Attribute` | `ARCHIVE`
`static HTML.Attribute` | `BACKGROUND`
`static HTML.Attribute` | `BGCOLOR`
`static HTML.Attribute` | `BORDER`
`static HTML.Attribute` | `CELLPADDING`
`static HTML.Attribute` | `CELLSPACING`
`static HTML.Attribute` | `CHECKED`
`static HTML.Attribute` | `CLASS`
`static HTML.Attribute` | `CLASSID`
`static HTML.Attribute` | `CLEAR`
`static HTML.Attribute` | `CODE`
`static HTML.Attribute` | `CODEBASE`
`static HTML.Attribute` | `CODETYPE`
`static HTML.Attribute` | `COLOR`
`static HTML.Attribute` | `COLS`
`static HTML.Attribute` | `COLSPAN`
`static HTML.Attribute` | `COMMENT`
`static HTML.Attribute` | `COMPACT`
`static HTML.Attribute` | `CONTENT`
`static HTML.Attribute` | `COORDS`
`static HTML.Attribute` | `DATA`
`static HTML.Attribute` | `DECLARE`
`static HTML.Attribute` | `DIR`
`static HTML.Attribute` | `DUMMY`
`static HTML.Attribute` | `ENCTYPE`
`static HTML.Attribute` | `ENDTAG`
`static HTML.Attribute` | `FACE`
`static HTML.Attribute` | `FRAMEBORDER`
`static HTML.Attribute` | `HALIGN`
`static HTML.Attribute` | `HEIGHT`
`static HTML.Attribute` | `HREF`
`static HTML.Attribute` | `HSPACE`
`static HTML.Attribute` | `HTTPEQUIV`
`static HTML.Attribute` | `ID`
`static HTML.Attribute` | `ISMAP`
`static HTML.Attribute` | `LANG`
`static HTML.Attribute` | `LANGUAGE`
`static HTML.Attribute` | `LINK`
`static HTML.Attribute` | `LOWSRC`
`static HTML.Attribute` | `MARGINHEIGHT`
`static HTML.Attribute` | `MARGINWIDTH`
`static HTML.Attribute` | `MAXLENGTH`
`static HTML.Attribute` | `METHOD`
`static HTML.Attribute` | `MULTIPLE`
`static HTML.Attribute` | `N`
`static HTML.Attribute` | `NAME`
`static HTML.Attribute` | `NOHREF`
`static HTML.Attribute` | `NORESIZE`
`static HTML.Attribute` | `NOSHADE`
`static HTML.Attribute` | `NOWRAP`
`static HTML.Attribute` | `PROMPT`
`static HTML.Attribute` | `REL`
`static HTML.Attribute` | `REV`
`static HTML.Attribute` | `ROWS`
`static HTML.Attribute` | `ROWSPAN`
`static HTML.Attribute` | `SCROLLING`
`static HTML.Attribute` | `SELECTED`
`static HTML.Attribute` | `SHAPE`
`static HTML.Attribute` | `SHAPES`
`static HTML.Attribute` | `SIZE`
`static HTML.Attribute` | `SRC`
`static HTML.Attribute` | `STANDBY`
`static HTML.Attribute` | `START`
`static HTML.Attribute` | `STYLE`
`static HTML.Attribute` | `TARGET`
`static HTML.Attribute` | `TEXT`
`static HTML.Attribute` | `TITLE`
`static HTML.Attribute` | `TYPE`
`static HTML.Attribute` | `USEMAP`
`static HTML.Attribute` | `VALIGN`
`static HTML.Attribute` | `VALUE`
`static HTML.Attribute` | `VALUETYPE`
`static HTML.Attribute` | `VERSION`
`static HTML.Attribute` | `VLINK`
`static HTML.Attribute` | `VSPACE`
`static HTML.Attribute` | `WIDTH`

Method Summary
`String` | `toString()` Returns the string representation of this attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final HTML.Attribute SIZE

### COLOR

    public static final HTML.Attribute COLOR

### CLEAR

    public static final HTML.Attribute CLEAR

### BACKGROUND

    public static final HTML.Attribute BACKGROUND

### BGCOLOR

    public static final HTML.Attribute BGCOLOR

### TEXT

    public static final HTML.Attribute TEXT

### LINK

    public static final HTML.Attribute LINK

### VLINK

    public static final HTML.Attribute VLINK

### ALINK

    public static final HTML.Attribute ALINK

### WIDTH

    public static final HTML.Attribute WIDTH

### HEIGHT

    public static final HTML.Attribute HEIGHT

### ALIGN

    public static final HTML.Attribute ALIGN

### NAME

    public static final HTML.Attribute NAME

### HREF

    public static final HTML.Attribute HREF

### REL

    public static final HTML.Attribute REL

### REV

    public static final HTML.Attribute REV

### TITLE

    public static final HTML.Attribute TITLE

### TARGET

    public static final HTML.Attribute TARGET

### SHAPE

    public static final HTML.Attribute SHAPE

### COORDS

    public static final HTML.Attribute COORDS

### ISMAP

    public static final HTML.Attribute ISMAP

### NOHREF

    public static final HTML.Attribute NOHREF

### ALT

    public static final HTML.Attribute ALT

### ID

    public static final HTML.Attribute ID

### SRC

    public static final HTML.Attribute SRC

### HSPACE

    public static final HTML.Attribute HSPACE

### VSPACE

    public static final HTML.Attribute VSPACE

### USEMAP

    public static final HTML.Attribute USEMAP

### LOWSRC

    public static final HTML.Attribute LOWSRC

### CODEBASE

    public static final HTML.Attribute CODEBASE

### CODE

    public static final HTML.Attribute CODE

### ARCHIVE

    public static final HTML.Attribute ARCHIVE

### VALUE

    public static final HTML.Attribute VALUE

### VALUETYPE

    public static final HTML.Attribute VALUETYPE

### TYPE

    public static final HTML.Attribute TYPE

### CLASS

    public static final HTML.Attribute CLASS

### STYLE

    public static final HTML.Attribute STYLE

### LANG

    public static final HTML.Attribute LANG

### FACE

    public static final HTML.Attribute FACE

### DIR

    public static final HTML.Attribute DIR

### DECLARE

    public static final HTML.Attribute DECLARE

### CLASSID

    public static final HTML.Attribute CLASSID

### DATA

    public static final HTML.Attribute DATA

### CODETYPE

    public static final HTML.Attribute CODETYPE

### STANDBY

    public static final HTML.Attribute STANDBY

### BORDER

    public static final HTML.Attribute BORDER

### SHAPES

    public static final HTML.Attribute SHAPES

### NOSHADE

    public static final HTML.Attribute NOSHADE

### COMPACT

    public static final HTML.Attribute COMPACT

### START

    public static final HTML.Attribute START

### ACTION

    public static final HTML.Attribute ACTION

### METHOD

    public static final HTML.Attribute METHOD

### ENCTYPE

    public static final HTML.Attribute ENCTYPE

### CHECKED

    public static final HTML.Attribute CHECKED

### MAXLENGTH

    public static final HTML.Attribute MAXLENGTH

### MULTIPLE

    public static final HTML.Attribute MULTIPLE

### SELECTED

    public static final HTML.Attribute SELECTED

### ROWS

    public static final HTML.Attribute ROWS

### COLS

    public static final HTML.Attribute COLS

### DUMMY

    public static final HTML.Attribute DUMMY

### CELLSPACING

    public static final HTML.Attribute CELLSPACING

### CELLPADDING

    public static final HTML.Attribute CELLPADDING

### VALIGN

    public static final HTML.Attribute VALIGN

### HALIGN

    public static final HTML.Attribute HALIGN

### NOWRAP

    public static final HTML.Attribute NOWRAP

### ROWSPAN

    public static final HTML.Attribute ROWSPAN

### COLSPAN

    public static final HTML.Attribute COLSPAN

### PROMPT

    public static final HTML.Attribute PROMPT

### HTTPEQUIV

    public static final HTML.Attribute HTTPEQUIV

### CONTENT

    public static final HTML.Attribute CONTENT

### LANGUAGE

    public static final HTML.Attribute LANGUAGE

### VERSION

    public static final HTML.Attribute VERSION

### N

    public static final HTML.Attribute N

### FRAMEBORDER

    public static final HTML.Attribute FRAMEBORDER

### MARGINWIDTH

    public static final HTML.Attribute MARGINWIDTH

### MARGINHEIGHT

    public static final HTML.Attribute MARGINHEIGHT

### SCROLLING

    public static final HTML.Attribute SCROLLING

### NORESIZE

    public static final HTML.Attribute NORESIZE

### ENDTAG

    public static final HTML.Attribute ENDTAG

### COMMENT

    public static final HTML.Attribute COMMENT

Method Detail

### toString

    public String toString()

  Returns the string representation of this attribute.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation of this attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.